### Method

# Meta Context get_wayland_compositor

#### Declaration [src]

    MetaWaylandCompositor*
    meta_context_get_wayland_compositor (
      MetaContext* context
    )

#### Description [src]

Get the `MetaWaylandCompositor` associated with the MetaContext. The might be none currently associated if the context hasn’t been started or if the requested compositor type is not `META_COMPOSITOR_TYPE_WAYLAND`.

#### Return value

Type: `MetaWaylandCompositor`

The `MetaWaylandCompositor`.

The returned data is owned by the instance.
The return value can be `NULL`.